Subject: RE: [RFC suggestion] Generate manpage directly with Asciidoctor

From: Felipe Contreras <[email-masked]>
Date: Fri, 07 May 2021 17:48:40 -0500

Bagas Sanjaya wrote:
> Asciidoctor has support for directly generating manpage, see [1].
> 
> We support using Asciidoctor as drop-in replacement for original
> Asciidoc, but currently we need to use xmlto together with Asciidoc(tor)
> to produce manpages. However, most users don't inclined to install
> xmlto toolchain, partly because they had to download more than 300 MB
> of data just to install xmlto and its dependencies (including dblatex
> and texlive).
> 
> So completely migrating to Asciidoctor can eliminate xmlto requirement
> for generating manpage.
> 
> What do you think about above?

Makes complete sense. If only we had some patches to go along with that
proposal.

-- 
Felipe Contreras